Skip to main content
POST
/
asset
/
file
/
{id}
/
uncontain
Uncontain file
curl --request POST \
  --url https://api.wirespeed.co/asset/file/{id}/uncontain \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "caseId": "<string>",
  "detectionId": "<string>",
  "integrationId": "<string>",
  "userContainActions": [
    "disable"
  ],
  "endpointContainActions": [
    "isolate"
  ],
  "userUncontainActions": [
    "enable"
  ],
  "endpointUncontainActions": [
    "unisolate"
  ],
  "fileContainActions": [
    "quarantine"
  ],
  "fileUncontainActions": [
    "unquarantine"
  ]
}
'
{
  "message": "<string>",
  "statusCode": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

File identifier

Body

application/json
caseId
string

Case ID for containment context

detectionId
string

Detection ID for containment context

integrationId
string

Integration ID to use for containment. Required for files; optional for endpoints/users (falls back to asset integration).

userContainActions
enum<string>[]

User containment actions to perform

Available options:
disable,
reset_password,
revoke_sessions
endpointContainActions
enum<string>[]

Endpoint containment actions to perform

Available options:
isolate
userUncontainActions
enum<string>[]

User uncontainment actions to perform

Available options:
enable
endpointUncontainActions
enum<string>[]

Endpoint uncontainment actions to perform

Available options:
unisolate
fileContainActions
enum<string>[]

File containment actions to perform

Available options:
quarantine
fileUncontainActions
enum<string>[]

File uncontainment actions to perform

Available options:
unquarantine

Response